Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.xmi
Class XMIWriterFactory

    java.lang.Object
      org.netbeans.api.xmi.XMIWriterFactory

    public abstract class XMIWriterFactory

extends Object

Factory for XMI writers.

Constructor Summary
`XMIWriterFactory()`

Method Summary
`abstract XMIWriter` | `createXMIWriter()` Creates new instance of XMIWriter.
`abstract XMIWriter` | `createXMIWriter(XMIOutputConfig configuration)` Creates new instance of XMIWriter configured using the passed configuration object.
`static XMIWriterFactory` | `getDefault()` Returns the default instance of XMIWriterFactory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIWriterFactory

    public XMIWriterFactory()

Method Detail

### getDefault

    public static XMIWriterFactory getDefault()

  Returns the default instance of XMIWriterFactory.

  Returns:
    Default XMI writer factory.

### createXMIWriter

    public abstract XMIWriter createXMIWriter()

  Creates new instance of XMIWriter.

  Returns:
    New instance of XMIWriter.

### createXMIWriter

    public abstract XMIWriter createXMIWriter(XMIOutputConfig configuration)

  Creates new instance of XMIWriter configured using the passed configuration object. The configuration object should not be used by XMIWriter directly (i.e. the real configuration of the returned XMIWriter should be a copy of the passed configuraion object).

  Parameters:
    `configuration` - Configuration of the XMIWriter instance to be created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.